from django.db import models

class AssetBundleRoom(models.Model):
    url = models.FileField(upload_to='user_files/', blank=True, null=True)
    name = models.CharField(max_length=255)
    description = models.TextField(blank=True)
    maxPerson = models.PositiveIntegerField()
    img = models.FileField(upload_to='user_imgs/', blank=True, null=True)
    
    Private = models.BooleanField(default=True)  # New boolean field

    def __str__(self):
        return f"{self.name} (Max: {self.maxPerson})"
